Marketplace Agreements - Create
在订阅中创建 Confluent 市场协议。
PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.accepted |
boolean |
如果已接受任何版本的条款,则为 false。 |
| properties.licenseTextLink |
string |
链接到包含Microsoft和发布者术语的 HTML。 |
| properties.plan |
string |
计划标识符字符串。 |
| properties.privacyPolicyLink |
string |
链接到发布者的隐私策略。 |
| properties.product |
string |
产品标识符字符串。 |
| properties.publisher |
string |
发布者标识符字符串。 |
| properties.retrieveDatetime |
string (date-time) |
接受条款的 UTC 日期和时间。 如果 Accepted 为 false,则为空。 |
| properties.signature |
string |
术语签名。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
请求已成功。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
MarketplaceAgreements_Create
示例请求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default?api-version=2024-07-01
示例响应
{
"name": "default",
"type": "Microsoft.Confluent/agreements",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Confluent/agreements/default",
"properties": {
"accepted": true,
"licenseTextLink": "test.licenseLink1",
"plan": "planid1",
"privacyPolicyLink": "test.privacyPolicyLink1",
"product": "offid1",
"publisher": "pubid1",
"retrieveDatetime": "2020-11-05T17:33:07.12132Z",
"signature": "YKWOQOKH2BCKZ46O7SCKHANWEENRFRU5WB4LXDFUYWCBWTS4AG4SGQXCOZYIR5ZJCZTXRMZKYZMO2BJSL5YKPLAR4LBFRUNS6CRYE7A"
},
"systemData": {
"createdAt": "2020-05-09T14:28:47.284Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-05-09T14:28:47.284Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Confluent |
协议条款定义 |
|
created |
创建资源的标识的类型。 |
|
Error |
错误响应正文 |
|
Resource |
资源提供程序的默认错误响应 |
|
system |
与创建和上次修改资源相关的元数据。 |
ConfluentAgreementResource
协议条款定义
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的 ARM ID。 |
| name |
string |
协议的名称。 |
| properties.accepted |
boolean |
如果已接受任何版本的条款,则为 false。 |
| properties.licenseTextLink |
string |
链接到包含Microsoft和发布者术语的 HTML。 |
| properties.plan |
string |
计划标识符字符串。 |
| properties.privacyPolicyLink |
string |
链接到发布者的隐私策略。 |
| properties.product |
string |
产品标识符字符串。 |
| properties.publisher |
string |
发布者标识符字符串。 |
| properties.retrieveDatetime |
string (date-time) |
接受条款的 UTC 日期和时间。 如果 Accepted 为 false,则为空。 |
| properties.signature |
string |
术语签名。 |
| systemData |
与创建和上次修改资源相关的元数据 |
|
| type |
string |
协议的类型。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponseBody
错误响应正文
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码 |
| details |
错误详细信息 |
|
| message |
string |
错误信息 |
| target |
string |
错误目标 |
ResourceProviderDefaultErrorResponse
资源提供程序的默认错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误响应正文 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |